com.google.cloud.dataflow.sdk.transforms

## Class Max.MaxIntegerFn

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.Combine.CombineFn<V,Combine.Holder<V>,V>
  - - com.google.cloud.dataflow.sdk.transforms.Combine.BinaryCombineFn<T>
    - - com.google.cloud.dataflow.sdk.transforms.Max.MaxFn<Integer>
      - - com.google.cloud.dataflow.sdk.transforms.Max.MaxIntegerFn

All Implemented Interfaces:
  CombineFnBase.GlobalCombineFn<Integer,Combine.Holder<Integer>,Integer>, HasDisplayData, com.google.cloud.dataflow.sdk.util.common.CounterProvider<Integer>, Serializable

Enclosing class:
  Max

    public static class Max.MaxIntegerFn
    extends Max.MaxFn<Integer>
    implements com.google.cloud.dataflow.sdk.util.common.CounterProvider<Integer>

A `CombineFn` that computes the maximum of a collection of `Integer`s, useful as an argument to `Combine.globally(com.google.cloud.dataflow.sdk.transforms.SerializableFunction<java.lang.Iterable<V>, V>)` or `Combine.perKey(com.google.cloud.dataflow.sdk.transforms.SerializableFunction<java.lang.Iterable<V>, V>)`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MaxIntegerFn()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TypeVariable<?>` `getAccumTVariable()` Returns the `TypeVariable` of `AccumT`.
`com.google.cloud.dataflow.sdk.util.common.Counter<Integer>` `getCounter(String name)`
`String` `getIncompatibleGlobalWindowErrorMessage()` Returns the error message for not supported default values in Combine.globally().
`TypeVariable<?>` `getInputTVariable()` Returns the `TypeVariable` of `InputT`.
`TypeVariable<?>` `getOutputTVariable()` Returns the `TypeVariable` of `OutputT`.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.Max.MaxFn

`apply, identity, naturalOrder, naturalOrder, of, of, populateDisplayData`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.Combine.BinaryCombineFn

`addInput, createAccumulator, extractOutput, getAccumulatorCoder, getDefaultOutputCoder, mergeAccumulators`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.Combine.CombineFn

`apply, asKeyedFn, compact, defaultValue, getOutputType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaxIntegerFn

    public MaxIntegerFn()

### Method Detail

#### getCounter

    public com.google.cloud.dataflow.sdk.util.common.Counter<Integer> getCounter(String name)

Specified by:
  `getCounter` in interface `com.google.cloud.dataflow.sdk.util.common.CounterProvider<Integer>`

#### getIncompatibleGlobalWindowErrorMessage

    public String getIncompatibleGlobalWindowErrorMessage()

Description copied from interface: `CombineFnBase.GlobalCombineFn`
Returns the error message for not supported default values in Combine.globally().

Specified by:
  `getIncompatibleGlobalWindowErrorMessage` in interface `CombineFnBase.GlobalCombineFn<InputT,AccumT,OutputT>`

#### getInputTVariable

    public TypeVariable<?> getInputTVariable()

Returns the `TypeVariable` of `InputT`.

#### getAccumTVariable

    public TypeVariable<?> getAccumTVariable()

Returns the `TypeVariable` of `AccumT`.

#### getOutputTVariable

    public TypeVariable<?> getOutputTVariable()

Returns the `TypeVariable` of `OutputT`.